#
# spec file for package gap-ctbllib
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-ctbllib
Version:        1.3.9
Release:        1.3
Summary:        GAP Character Table Library
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://www.math.rwth-aachen.de/homes/Thomas.Breuer/ctbllib/
Source:         https://www.math.rwth-aachen.de/homes/Thomas.Breuer/ctbllib/ctbllib-%version.tar.gz
#changelog in chap1.txt
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-atlasrep >= 2.1
Requires:       gap-core >= 4.11
Requires:       gap-gapdoc >= 1.6.2
Suggests:       gap-browse >= 1.8.10
Suggests:       gap-chevie >= 1.0
Suggests:       gap-primgrp >= 1.0
Suggests:       gap-smallgrp >= 1.0
Suggests:       gap-spinsym >= 1.5
Suggests:       gap-tomlib >= 1.0
Suggests:       gap-transgrp >= 1.0

%description
The package contains the GAP Character Table Library.

%prep
%autosetup -n ctbllib-%version
chmod a-x doc/*.xml

%build

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files

%changelog
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to relesae 1.3.9
  * Bugfix: The table with identifier "2^2x3^2.2.S4" is encoded
    as a direct product. Up to now, one of the two factors did
    not fit to the identifier.
  * Data added:  The  class  fusions  from the maximal subgroups
    (L_2(11) × L_2(11)):4, 11^2:(5 × 2.A_5), 7^2:2L_2(7), and
    L_2(19).2 of the Monster group have been added.
  * In order to make AllCharacterTableNames (3.1-4) efficient
    also if the Browse package is not available, the relevant
    code from that package has been copied into CTblLib.
* Wed Feb 14 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.3.7
  * The GroupInfoForCharacterTable  (3.3-1)  entry "SigmaL(2,9)"
    had been erroneously attributed to the table with identifier
    "2.A6.2_2", but the correct table is that of "2.A6.2_1".
* Tue Aug  1 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.3.6
  * Adjust for building with future GAP 4.13
* Sun Jun 25 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.3.5
  * No changelog was provided
* Sun Oct  2 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to new upstream version 1.3.4
  * Added various new tables, including the 3-modular Brauer table
    of U[3](8).(S[3] ×3).
* Fri May 10 2013 jengelh@inai.de
- Split ctbllib (version 1.2.2) off the gap RPM package
